!TCL=2, Dateiname java.tcl, von Ulrich Grude, Oktober 2010
!TITLE=Java
!SORT=N
!CHARSET=ANSI

!TEXT=Mehrzeilenkommentar
/* ------------------------------------------------------------------------

------------------------------------------------------------------------ */

!

!TEXT=Minuszeile
// ------------------------------------------------------------------------

!
!TEXT=Pluszeile
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

!

!TEXT=Klasse (mit main, pln)
// Datei XX.java
/* ------------------------------------------------------------------------
Dieses Programm XX leistet Folgendes: 
------------------------------------------------------------------------ */

class XX {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      pln("XX: Jetzt geht es los!");
      pln("----------------------");
      pln("----------------------");
      pln("XX: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class XX

!

!TEXT=Klasse (mit main, printf)
// Datei XX.java
/* ------------------------------------------------------------------------
Dieses Programm XX leistet Folgendes: 
------------------------------------------------------------------------ */

public class XX {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      printf("XX: Jetzt geht es los!%n");
      printf("---------------------------%n");
      printf("---------------------------%n");
      printf("XX: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class XX

!

!TEXT=Class (with main, printf)
// File XX.java
/* ------------------------------------------------------------------------
This program XX does the following: 
------------------------------------------------------------------------ */

public class XX {
   // ---------------------------------------------------------------------
   static public void main(String[] args) {
      printf("XX: Here we go!%n");
      printf("--------------------%n");
      printf("--------------------%n");
      printf("XX: That's all!%n");
   } // main
   // ---------------------------------------------------------------------
   // A Method with a short name:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class XX

!

!TEXT=Klasse (UebFF, ohne main)
// Datei UebFF.java
/* ------------------------------------------------------------------------
Eine Klasse, die eine einzige Klassenmethode (genauer: eine Funktion)
enthaelt.
------------------------------------------------------------------------ */

public class UebFF {
   // ---------------------------------------------------------------------
   static public TT FF(PP) {
      
   } // FF
   // ---------------------------------------------------------------------
} // class UebFF

!

!TEXT=Klasse (UebFFJut, JUnit)
// Datei UebFFJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion FF in der Klasse UebFF
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebFFJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebFFJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      
   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebFFJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebFFJut

!

!TEXT=main (mit pln)
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      pln("XX: Jetzt geht es los!");
      pln("XX: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------

!

!TEXT=main (mit printf)
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      printf("XX: Jetzt geht es los!%n");
      printf("XX: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------

!


!TEXT=stat-pub-void-Methode^
   static public void \^ (PP) {
   } //
!

!TEXT=stat-pub-XXX-Methode
   static public XXX (PP) {
   } //

!

!TEXT=if-else
      if (BB) {
         AA
      } else {
         AA
      } // if

!

!TEXT=if-else-if
      if (BB) {
         AA
      } else if (BB) {
         AA
      } else if (BB) {
         AA
      } else {
         AA
      } // if

!

!TEXT=for (mit int i)
      for (int i=0; i<XX; i++) {
         AA
      } // for

!

!TEXT=for (ohne i)
      for (XX;YY;ZZ) {
         AA
      } // for

!

!TEXT=while (true)
      while (true) {
         AA
         if(BB) break;
         AA
      } // while

!

!TEXT=do-while
      do {
         AA
      } while (BB);

!

!TEXT=pln (1 Abkrzung)
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   
!

!TEXT=pln (3 Abkrzungen)
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   
!

!TEXT=printf (1 Abkrzung)
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   
!